#
# Conditional build:
%bcond_without	gtk3	# use GTK+3 instead of GTK+2

Summary:	LXTerminal - the standard terminal emulator of LXDE
Summary(pl.UTF-8):	LXTerminal - standardowy emulator terminala dla LXDE
Name:		lxterminal
Version:	0.4.0
Release:	3
License:	GPL v2
Group:		X11/Applications
Source0:	https://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.xz
# Source0-md5:	7938dbd50e3826c11f4735a742b278d3
Patch0:		wordseps.patch
Patch1:		gcc14-incompatible-pointer-types.patch
URL:		http://www.lxde.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.6.0
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 1:2.18.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0.0}
BuildRequires:	intltool
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
%{?with_gtk3:BuildRequires:	vte-devel >= 0.38}
%{!?with_gtk3:BuildRequires:	vte0-devel >= 0.20.0}
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.6.0
%{!?with_gtk3:Requires:	gtk+2 >= 1:2.18.0}
Requires:	hicolor-icon-theme
%{!?with_gtk3:Requires:	vte0 >= 0.20.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXTerminal is the standard terminal emulator of LXDE.

%description -l pl.UTF-8
LXTerminal to standardowy emulator terminala dla środowiska LXDE.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%{__sed} -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,' configure.ac

%build
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_gtk3:--enable-gtk3}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# unify name
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{tt_RU,tt}
# unsupported by glibc
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/frp
# duplicate of ur
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor

%postun
%update_desktop_database
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_bindir}/lxterminal
%{_mandir}/man1/lxterminal.1*
%{_desktopdir}/lxterminal.desktop
%{_datadir}/lxterminal
%{_iconsdir}/hicolor/128x128/apps/lxterminal.png
%changelog
* Fri Aug 02 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lxterminal.git;a=log;h=master

* Fri Aug 02 2024 Jan Rękorajski <baggins@pld-linux.org> 4bb5712
- gcc14 fix, rel 3

* Mon Apr 22 2024 Marcin Krol <hawk@tld-linux.org> 0d33e38
- build with gtk3 by default

* Sat May 06 2023 Jakub Bogusz <qboosh@pld-linux.org> 73fb262
- libtool is not used here

* Sat May 06 2023 Jakub Bogusz <qboosh@pld-linux.org> e2ef6d3
- updated to 0.4.0

* Mon Jul 27 2015 Elan Ruusamäe <glen@delfi.ee> 53e36d6
- up to 0.2.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c5dea6a
- updated gettext BR

* Wed May 15 2013 Elan Ruusamäe <glen@delfi.ee> c26e60c
- update links to other terminals

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 5f25e09
- correct url

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> a5972cf
- include @ into wordseps

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> e20ef62
- automake fix

* Mon Feb 25 2013 Elan Ruusamäe <glen@delfi.ee> 339892b
- fix typo in wordseps patch; disable silent rules

* Sat Apr 21 2012 Elan Ruusamäe <glen@pld-linux.org> 391aa0c
- setup word separators to select urls

* Fri Aug 19 2011 ankry <ankry@pld-linux.org> 678897b
- tt_RU already supported, dir renamed, rel. 3, STBR

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 9ac2c8b
- locale fix

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 930ee48
- up to 0.1.11, added gtk3 bcond

* Thu Sep 02 2010 Elan Ruusamäe <glen@pld-linux.org> 19dddc5
- autoup to 0.1.9

* Sat Jul 31 2010 Karol Krenski <charles@pld-linux.org> 9f32fd1
- BR: autoconf, automake, intltool, libtool

* Fri Jul 30 2010 Elan Ruusamäe <glen@pld-linux.org> 6e7128b
- do not package empty translations

* Thu Jul 29 2010 witekfl <witekfl@pld-linux.org> 6635ad0
- up to 0.1.8

* Thu Jul 29 2010 witekfl <witekfl@pld-linux.org> 2cdee7d
- BR: pkgconfig and vte-devel
- rel 1

